<style>
    table {
        display: block;
        height: 400px;
        overflow-y: scroll;
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b>BUKU KAS UMUM</b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div id="loading-progress" style="display: none"></div>
                    <div class="row" style="margin-bottom: 3px">
                        <div class="form-horizontal">
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-1 control-label">
                                    Tahun
                                </label>
                                <div class="col-md-4">
                                    <div class="input-prepend input-group">
                                        <span class="add-on input-group-addon">
                                            <i class="glyph-icon icon-calendar"></i>
                                        </span>
                                        <input type="text" class="form-control" name="tahun" id="tahun_bku"  value="<?= date('Y') ?>" data-date-format="yyyy" data-date-viewmode="years">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12 form-horizontal">
                                <label class="col-md-1 control-label">
                                    Bulan
                                </label>
                                <div class="col-md-4">
                                    <div class="input-prepend input-group">
                                        <span class="add-on input-group-addon">
                                            <i class="glyph-icon icon-calendar"></i>
                                        </span>
                                        <select id="bulan_bku" class="form-control">
                                            <?php
                                            $bulan_text = ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'];
                                            for ($i = 1; $i <= 12; $i++):
                                                ?>
                                                <?php if (date('m') == $i) { ?>
                                                    <option value="<?= $i ?>" selected=""><?= $bulan_text[$i - 1] ?></option>
                                                <?php } else { ?>
                                                    <option value="<?= $i ?>"><?= $bulan_text[$i - 1] ?></option>
                                                <?php } ?>
                                            <?php endfor; ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <button type="button" class="btn btn-sm btn-warning" onclick="calldatagrid()"><span class="glyph-icon icon-search"></span> &nbsp;CARI</button>
                                    <button type="button" class="btn btn-sm btn-primary" onclick="pagebkuexport('excel')"><span class="glyph-icon icon-file-excel-o"></span> &nbsp;EXPORT TO EXCEL</button>
                                    <button type="button" class="btn btn-sm btn-danger" onclick="pagebkuexport('pdf')"><span class="glyph-icon icon-file-pdf-o"></span> &nbsp;EXPORT TO PDF&nbsp;&nbsp;&nbsp;&nbsp;</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row" style="overflow: auto">
                        <table class="table table-condensed table-bordered table-hover cf table-responsive" style="font-size: 11px; color:black; width:100%">
                            <tr>
                                <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 10%">NO.</th>
                                <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 10%">TANGGAL</th>            
                                <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">KODE REKENING</th>             
                                <th style="background-color: #ed9c28; color: white; text-align: center;vertical-align:middle; width: 20%">NAMA REKENING</th>            
                                <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">PENERIMAAN <br>(Rp.)</th>       
                                <th style="background-color: #00BCA4; color: white; text-align: center;vertical-align:middle; width: 20%">PENGELUARAN <br>(Rp.)</th>       
                            </tr>
                            <tbody id="body_grid">
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        calldatagrid();
    });

    function calldatagrid(direction) {
        gridbku(direction);
    }

    function gridbku(direction) {
        const divprogress = document.getElementById('loading-progress');
        divprogress.style.display = 'block';
        var progress1 = $("#loading-progress").progressTimer();

        $.post('<?= $this->url() ?>/gridpagebku/' + null + '/' + null + '/' + direction, {
            bulan_bku: $('#bulan_bku').val(),
            tahun_bku: $('#tahun_bku').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#body_grid").html(aa.grid);
            $.ajax().error(function () {
                progress1.progressTimer('error', {
                    errorText: 'ERROR!',
                    onFinish: function () {
                        console.log('1 - There was an error processing your information!');
                    }
                });
            }).done(function () {
                progress1.progressTimer('complete');
            });
            setTimeout(() => {
                divprogress.style.display = 'none';
            }, 1000);
        });
    }

    function pagebkuexport(a) {
        window.open('<?= $this->url() ?>/pagebkuexport?bulan_bku=' + $("#bulan_bku").val()
                + "&tahun_bku=" + $("#tahun_bku").val()
                + "&file_format=" + a);
    }
</script>
